---
layout: home.njk
title: home
---
{%- css %}{% include "node_modules/prismjs/themes/prism-okaidia.css" %}{% endcss %}

# nycki.net 

## welcome!

<div style="overflow:auto">

<img src="/a/klay-sticker-djuan-blep.png" alt="picture of klay pointing to himself with his tongue stuck out" width="100" height="auto" style="float:left;">

My name is nycki ([ˈnɪki](http://ipa-reader.xyz/?text=%CB%88n%C9%AAki)) (they/them), and [this is a website!](http://hrwiki.org/wiki/First_Time_Here%3F)

Sticker by [djuan](https://linktr.ee/mkiiisystem)!

</div>

## contact

- email: <nupanick@gmail.com>
- matrix: [@nycki:bark.lgbt](https://chat.bark.lgbt/)
- github: <https://github.com/nycki93>
- fediverse: <https://bark.lgbt/@nycki> (18+)

{% webButton '/a/button-nycki.png', 'nycki' %}
{% webButton '/a/button-cohost-mykocalico.png', 'i was on cohost!', 'https://cohost.org/nycki' %}

## blog

[blog](/blog) | [feed.xml](/blog/feed.xml)

## cool people buttons go here

{% webButton '/a/button-sofia.png', 'sofia-drawsmore', 'https://sofiadrawsmore.neocities.org/' %}
{% webButton '/a/button-pebble.gif', 'pebble', 'https://pebble.pet/' %}
{% webButton '/a/button-quwyou.gif', 'quwyou', 'https://quwyou.com/' %}
{% webButton '/a/button-alterae.webp', 'alterae', 'https://alterae.online/' %}
{% webButton '/a/button-88by31.gif', '88 by 31', 'https://cyber.dabamos.de/88x31/' %}

## creations

Stuff I've made!

### Pyramides Papyrium

2025\. homeworlds pyramids, made from die-cut paper! [link](/pyramids/)

### Graph Zendo

2020\. a modded version of the excellent Zendo by Kory Heath. my version uses flowcharts. you can play this at work. [link](/zendo/)

### Braceless Javascript
2018\. a couple of short programs written in browser JavaScript, with the special restriction that I can't use any instructions that require curly braces, like 'if' or 'for'. instead, I replace these instructions with ternaries and lambdas, which makes this a functional programming exercise!

[Fizzbuzz source on GitHub](https://github.com/nycki93/braceless-javascript/blob/master/fizzbuzz.html)

[99 bottles source on GitHub](https://github.com/nycki93/braceless-javascript/blob/master/bottles.html)

### Portal ZZT

2008\. A ZZT game inspired by Portal. Available at the Museum of ZZT.

[PortalZZT in the Museum of ZZT](https://museumofzzt.com/file/p/PortalZZT_v0_5.zip)

### ZZT Nanogames

2008\. A collection of ZZT games that use only one screen each. Also includes _Eight Legged Express_, which I believe was made in one weekend as a challenge.

[ZZT Nanogames in the Museum of ZZT](https://museumofzzt.com/file/n/nanopack01.zip)

### Collabyrinth

2008\. A collaborative labyrinth made in ZZT. I organized this collaboration on the z2 forums.

[Collabyrinth in the Museum of ZZT](https://museumofzzt.com/file/c/clbrnth1.zip)

### Traps and Zoids

2007\. Some hand-drawn cartoons and very old web design. Good old HTML 4.0 Transitional.

[Local mirror](/2007) | [Wayback Machine](https://web.archive.org/web/20071101001849/http://nick.lamicela.org/)

## notes

### convert all files in dir to mp3 on windows

```ps
gci -file | %{ ffmpeg -i $_.fullname $($_.basename).mp3 }
```

## log

- 2023-12-14. Updated this website to use markdown, via pandoc and make.
- 2024-09-15. Redid the build process in Eleventy.
- 2024-09-26. Updated my 88x31 button.
- 2024-09-27. Changed pronouns from she/they to they/them. I'd describe myself as genderfluid overall.